From ecb7c43ae457f1d1039393060693bc9d5e81cd97 Mon Sep 17 00:00:00 2001
From: PavanTarun <pavan.tarun@multicorewareinc.com>
Date: Tue, 7 Jan 2025 15:50:37 +0530
Subject: [PATCH] Fix testbench warnings

---
 source/test/pixelharness.cpp | 7 +++----
 source/test/testharness.h    | 4 ++--
 2 files changed, 5 insertions(+), 6 deletions(-)

diff --git a/source/test/pixelharness.cpp b/source/test/pixelharness.cpp
index 4c58b9056..311985d83 100644
--- a/source/test/pixelharness.cpp
+++ b/source/test/pixelharness.cpp
@@ -1113,10 +1113,9 @@ bool PixelHarness::check_addAvg_aligned(addAvg_t ref, addAvg_t opt)
         if (memcmp(ref_dest, opt_dest, 64 * 64 * sizeof(pixel)))
             return false;
 
-            reportfail();
-            j += INCR * 2;
-        }
-
+        reportfail();
+        j += INCR * 2;
+    }
     return true;
 }
 bool PixelHarness::check_calSign(sign_t ref, sign_t opt)
diff --git a/source/test/testharness.h b/source/test/testharness.h
index ef9c17668..c72078a86 100644
--- a/source/test/testharness.h
+++ b/source/test/testharness.h
@@ -160,14 +160,14 @@ void PFX(checkasm_stack_clobber)(uint64_t clobber, ...);
         PFX(checkasm_stack_clobber)(m_rand, m_rand, m_rand, m_rand, m_rand, m_rand, m_rand, m_rand, \
                                     m_rand, m_rand, m_rand, m_rand, m_rand, m_rand, m_rand, m_rand, \
                                     m_rand, m_rand, m_rand, m_rand, m_rand), /* max_args+6 */ \
-        PFX(checkasm_call)((intptr_t(*)())func, &m_ok, 0, 0, 0, 0, __VA_ARGS__))
+        PFX(checkasm_call)((intptr_t(*)())reinterpret_cast<void*>(func), &m_ok, __VA_ARGS__))
 
 #define checked_float(func, ...) ( \
         m_ok = 1, m_rand = (rand() & 0xffff) * 0x0001000100010001ULL, \
         PFX(checkasm_stack_clobber)(m_rand, m_rand, m_rand, m_rand, m_rand, m_rand, m_rand, m_rand, \
                                     m_rand, m_rand, m_rand, m_rand, m_rand, m_rand, m_rand, m_rand, \
                                     m_rand, m_rand, m_rand, m_rand, m_rand), /* max_args+6 */ \
-        PFX(checkasm_call_float)((float(*)())func, &m_ok, 0, 0, 0, 0, __VA_ARGS__))
+        PFX(checkasm_call_float)((float(*)())reinterpret_cast<void*>(func), &m_ok, __VA_ARGS__))
 #define reportfail() if (!m_ok) { fflush(stdout); fprintf(stderr, "stack clobber check failed at %s:%d", __FILE__, __LINE__); abort(); }
 #elif ARCH_X86
 #define checked(func, ...) PFX(checkasm_call)((intptr_t(*)())func, &m_ok, __VA_ARGS__);
-- 
2.43.0

